<div class="row wrapper border-bottom white-bg page-heading"> 
    <div class="col-lg-12">
        <h2>开户申请</h2>
        <ol class="breadcrumb">
            <li>
                <a href="<?= \yii\helpers\Url::to(['/admin/dashboard']) ?>">管理首页</a>
            </li>
            <li class="active">
                <!--<strong>开户申请</strong>-->
            </li>
        </ol>
    </div>
</div>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <div class="btn-group">
                        <button id="view" class="btn btn-default">查看</button>
                    </div>

                    <div class="btn-group pull-right">
                        <button id="delete" class="btn btn-danger">删除</button>
                    </div>

                </div>
                <div class="ibox-content">

                    <div class="table-responsive">
                        <table id="datatables" class="table table-striped table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>开户类型</th>
                                <th>状态</th>
                                <th>姓名</th>
                                <th>邮箱</th>
                                <th>推广ID</th>
                                <th>申请时间</th>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>开户类型</th>
                                <th>状态</th>
                                <th>姓名</th>
                                <th>邮箱</th>
                                <th>推广ID</th>
                                <th>申请时间</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php $this->beginBlock('footer_script'); ?>
<script>
    KindEditor.ready(function(K) {});
</script>

<!-- Page-Level Scripts -->
<script>
    var table;
    $(document).ready(function() {
        table = $('#datatables').DataTable({
            "aLengthMenu": [[20,50,100,500,999999999], [20,50,100,500,"ALL"]],
            language: {
                "sProcessing": "处理中...",
                "sLengthMenu": "显示 _MENU_ 项结果",
                "sZeroRecords": "没有匹配结果",
                "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
                "sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
                "sInfoFiltered": "(由 _MAX_ 项结果过滤)",
                "sInfoPostFix": "",
                "sSearch": "搜索:",
                "sUrl": "",
                "sEmptyTable": "表中数据为空",
                "sLoadingRecords": "载入中...",
                "sInfoThousands": ",",
                "oPaginate": {
                    "sFirst": "首页",
                    "sPrevious": "上页",
                    "sNext": "下页",
                    "sLast": "末页"
                },
                "oAria": {
                    "sSortAscending": ": 以升序排列此列",
                    "sSortDescending": ": 以降序排列此列"
                }
            },
            "processing": true,
            "serverSide": true,
            "ajax": '/admin/open/open-ajax',
            "order": [[0, "desc"]],
            "columns": [{
                    "data": "id"
                },
                {
                    "data": "open_type"
                },
                {
                    "data": "type"
                },
                {
                    "data": "name"
                },
                {
                    "data": "email"
                },
                {
                    "data": "rid"
                },
                {
                    "data": "in_time"
                }],

            columnDefs: [{
                targets: 1,
                render: function(data, type, row, meta) {
                    if(data==1){
                        return 'Xtrader';
                    }else if(data==2) {
                        return 'Xbroker';
                    }
                },
                "orderable": true
            },{
                targets: 2,
                render: function(data, type, row, meta) {
                    if(data==0){
                        return '<span class="label label-danger">等待</span>';
                    }else if(data==1){
                        return '<span class="label label-danger">处理中</span>';
                    }else if(data==2){
                        return '<span class="label label-primary">完成</span>';
                    }else if(data==3){
                        return '<span class="label label-default">拒绝</span>';
                    }
                },
                "orderable": true
            },{
                targets: 3,
                render: function(data, type, row) {
                    return data;
                }
            },{
                targets: 6,
                render: function(data, type, row, meta) {
                    return timeStamp2String(data);
                },
                "orderable": true
            }],


            "sPaginationType": "full_numbers",
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [{
                extend: 'copy'
            },
                {
                    extend: 'csv'
                },
                {
                    extend: 'excel'
                },
                {
                    extend: 'pdf'
                },
                {
                    extend: 'print',
                    customize: function(win) {
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');
                        $(win.document.body).find('table').addClass('compact').css('font-size', 'inherit');
                    }
                }]

        });

        $('#datatables tbody').on('click', 'tr',
            function() {
                if ($(this).hasClass('selected')) {
                    $(this).removeClass('selected');
                } else {
                    table.$('tr.selected').removeClass('selected');
                    $(this).addClass('selected');
                }
            });

        $('#view').click(function() {
            var data=table.row('.selected').data();
            if(data!=undefined){
                var url="/admin/open/view?id="+data.id+"&open_type="+data.open_type;
                window.location.href=url;
            }
        });

        $('#delete').click(function() {
            var data=table.row('.selected').data();
            if(data!=undefined){
                $.ajax({
                    type: "POST",
                    url: "/admin/open/open-delete",
                    data: {
                        id:data.id
                    },
                    dataType: "json",
                    beforeSend: function() {},
                    success: function(data) {
                        if(data.code == 1){
                            table.ajax.reload();
                        }else{
                            toastr.error(data.message, "提示");
                        }
                    },
                    complete: function(XMLHttpRequest, textStatus) {},
                    error: function() {}
                });
            }
        });

        $("#modal").on("hidden.bs.modal", function() {
            $(this).removeData("bs.modal");
            KindEditor.remove('#kindeditor');
        });

    });
</script>
<?php $this->endBlock(); ?>

